#
# spec file for package sessreg
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sessreg
Version:        1.1.1
Release:        1.23
Summary:        Utility to manage utmp/wtmp entries for X sessions
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(xorg-macros) >= 1.4
BuildRequires:  pkgconfig(xproto) >= 7.0.25
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sessreg is a simple program for managing utmp/wtmp entries for X sessions.
It was originally written for use with xdm, but may also be used with
other display managers such as gdm or kdm.

%prep
%setup -q

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/sessreg
%{_mandir}/man1/sessreg.1%{?ext_man}

%changelog
* Wed Mar  1 2017 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.1.1:
  + Use off_t instead of long to make largefile support work
  + autogen.sh: use quoted string variables
  + autogen: add default patch prefix
  + autogen.sh: use exec instead of waiting for configure to finish
  + Pass -P to the preprocessor when generating filenames for the manpage.
- supersedes patches:
  + U_Pass-P-to-the-preprocessor-when-generating-filenames.patch
  + u_use-off_t-instead-of-long-to-make-largefile-support-work.patch
* Sun May 29 2016 eich@suse.com
- u_use-off_t-instead-of-long-to-make-largefile-support-work.patch
  Make largefile support work (boo#981522).
* Thu Apr 21 2016 sndirsch@suse.com
- replaced formerly to be upstreamed patch
  u_Pass-P-to-the-preprocessor-when-generating-filenames.patch
  by upstream patch
  U_Pass-P-to-the-preprocessor-when-generating-filenames.patch
* Mon Feb 23 2015 sndirsch@suse.com
- u_Pass-P-to-the-preprocessor-when-generating-filenames.patch
  * Pass -P to the preprocessor when generating filenames for the
    manpage.  Fixes build with GCC 5. Patch by Richard Biener
    <rguenther@suse.com>
* Fri Jan 30 2015 zaitor@opensuse.org
- Update to version 1.1.0:
  + Include utmp.h if present, even if we're using utmpx
    interfaces.
  + Attempt to modernize and better disentangle utmp vs. utmpx in
    the man page.
  + Stop disabling utmpx & wtmpx calls when -u & -w arguments are
    passed.
  + If both utmp & utmpx interfaces are available, just use utmpx.
  + Zero initialize struct utmpx, as we already do for struct utmp.
  + Print which option was in error along with usage message.
  + autogen.sh: Honor NOCONFIGURE=1.
  + configure: Drop AM_MAINTAINER_MODE.
* Tue Feb 26 2013 zaitor@opensuse.org
- Update to version 1.0.8:
  + Add -V option to print version number.
  + Combine usage message into a single string.
  + Fix some clang warnings about implicit conversions.
  + Remove dubious code.
  + Make the `line' variable local to main().
  + Place NetBSD specific #defines in the proper place.
  + Fix compilation on NetBSD - undefined *TMPX paths (fdo#50940).
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.7:
  + Add const attributes to fix gcc -Wwrite-strings warnings
  + Make lastlog work on BSD systems without <lastlog.h>.
  + Simply define LLOG_FILE and TTYS_FILE unconditionally.
  + Fix whitespace inconsistencies.
  + Just use time_t directly.
  + Only expose the sflag variable when needed.
  + Get rid of SYSV definition. Just check for pututline().
  + Don't forget to include <sys/types.h> before <utmp.h>.
  + Get rid of bzero() calls. Replace them by memset().
  + Only split off /dev/ instead trimming to last /.
  + Fix typo in function name check.
  + Build system fixes.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split sessreg from xorg-x11. Initial version: 1.0.6.
